Subject: Re: bug#77075: [PATCH] Prepare package.el to be published on GNU ELPA, [PATCH] Prepare package.el to be published on GNU ELPA

From: Philip Kaludercic <[email-masked]>
Date: Mon, 24 Mar 2025 19:05:01 +0000

Stefan Monnier <[email-masked]> writes:

>> In that case I misunderstood what you are referring to, but I agree that
>> it is a relevant concern.  If you think it is worth it, I can check if
>> reducing the version of Compat is feasible, or if that would just
>> require the introduction of too many kludges.
>
> Again, I'm talking about changing only the `Package-Requires:`
> header, not changing the code.
> If the code uses a feature in a more recent version, then by all means,
> do bump up the `Package-Requires:` accordingly.

At least according to package-lint, we appear not to be using any
functionality added after Emacs 28.

>         Stefan